## org.apache.cassandra.utils
Class NodeId.OneShotRenewer

    java.lang.Object
      org.apache.cassandra.utils.NodeId.OneShotRenewer

Enclosing class:
  NodeId

    public static class NodeId.OneShotRenewer

extends java.lang.Object

Constructor Summary
`NodeId.OneShotRenewer()`

Method Summary
`void` `maybeRenew(CounterColumn column)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeId.OneShotRenewer

    public NodeId.OneShotRenewer()

Method Detail

### maybeRenew

    public void maybeRenew(CounterColumn column)

Copyright © 2012 The Apache Software Foundation